﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" encoding="UTF-8" indent="no" />

<xsl:template match="/">
	<xsl:apply-templates select="each-analyzed-data"/>
</xsl:template>

<xsl:template match="each-analyzed-data">
	<html>
		<head>
			<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
			<title><xsl:value-of select="@data-set-name"/> - <xsl:value-of select="@event-name"/></title>
			<style type="text/css">
			<xsl:comment>
				td { font-size: 9pt }
				th { font-size: 9pt }
			</xsl:comment>
			</style>
		</head>
		<body>
			<table border="0" cellspacing="0" cellpadding="2" style="border: solid 1px #808080">
				<tr>
					<xsl:element name="td">
						<xsl:attribute name="colspan"><xsl:value-of select="@runners * 2 + 1"/></xsl:attribute>
						<xsl:attribute name="bgcolor">#bbbbee</xsl:attribute>
						<xsl:attribute name="style">border-bottom: solid 1px #808080</xsl:attribute>
						<span style="font-size:12pt"><b><xsl:value-of select="@data-set-name"/></b></span>
						<xsl:if test="@length != '0'">
							　<xsl:value-of select="@length"/>m
						</xsl:if>
						<xsl:if test="@climb != '0'">
							　↑<xsl:value-of select="@climb"/>m
						</xsl:if>
					</xsl:element>
				</tr>
				<tr>
					<xsl:element name="td">
						<xsl:attribute name="colspan"><xsl:value-of select="@runners * 2 + 1"/></xsl:attribute>
						<xsl:attribute name="bgcolor">#ccccff</xsl:attribute>
						<xsl:attribute name="style">border-bottom: solid 1px #808080</xsl:attribute>
						　<xsl:value-of select="@event-name"/>
						<xsl:if test="@terrain != ''">
							　[<xsl:value-of select="@terrain"/>]
						</xsl:if>
						<xsl:if test="@event-date != ''">
							　<xsl:value-of select="@event-date"/>
						</xsl:if>
					</xsl:element>
				</tr>

				<xsl:apply-templates select="runner[1]"/>
			</table>
			<br />
			Made with "LapCombat2" and "LapCombat2 XHTML Generator".
		</body>
	</html>
</xsl:template>

<xsl:template match="runner">
	
	<!-- ========================================================= -->
	<!-- name, club, result, place -->
	<!-- ========================================================= -->
	
	<tr>
		<th nowrap="nowrap" bgcolor="#bbbbee" style="border-right: solid 1px #808080">氏名</th>
		<xsl:for-each select="../runner">
			<td colspan="2" bgcolor="#eeeeff" style="border-right: solid 1px #bbbbee"><xsl:value-of select="@runner-name"/></td>
		</xsl:for-each>
	</tr>
	<tr>
		<th nowrap="nowrap" bgcolor="#bbbbee" style="border-right: solid 1px #808080">所属</th>
		<xsl:for-each select="../runner">
			<td colspan="2" bgcolor="#eeeeff" style="border-right: solid 1px #bbbbee"><xsl:value-of select="@club-name"/></td>
		</xsl:for-each>
	</tr>
	<tr>
		<th nowrap="nowrap" bgcolor="#bbbbee" style="border-right: solid 1px #808080">記録</th>
		<xsl:for-each select="../runner">
			<td colspan="2" bgcolor="#eeeeff" align="right" style="border-right: solid 1px #bbbbee">　<xsl:value-of select="@result"/></td>
		</xsl:for-each>
	</tr>
	<tr>
		<th nowrap="nowrap" bgcolor="#bbbbee" style="border-right: solid 1px #808080">順位</th>
		<xsl:for-each select="../runner">
			<td colspan="2" bgcolor="#eeeeff" align="right" style="border-right: solid 1px #bbbbee">　<xsl:value-of select="@rank"/></td>
		</xsl:for-each>
	</tr>


	<!-- ========================================================= -->
	<!-- lap -->
	<!-- ========================================================= -->

	<tr>
		<xsl:element name="td">
			<xsl:attribute name="colspan"><xsl:value-of select="../@runners * 2 + 1"/></xsl:attribute>
			<xsl:attribute name="bgcolor">#f4f4ff</xsl:attribute>
			<xsl:attribute name="style">border-top: solid 1px #cccccc; border-bottom: solid 1px #cccccc</xsl:attribute>
			<b>◆ ラップタイム</b>
		</xsl:element>
	</tr>

	<xsl:for-each select="lap">
		<xsl:variable name="index" select="position()"/>
		<tr>
			<th nowrap="nowrap" bgcolor="#ccccff" style="border-right: solid 1px #808080">
				<xsl:choose>
					<xsl:when test="$index = 1">
						S
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="$index - 1"/>
					</xsl:otherwise>
				</xsl:choose>
				→
				<xsl:choose>
					<xsl:when test="$index = last()">
						F
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="$index"/>
					</xsl:otherwise>
				</xsl:choose>
			</th>
			<xsl:for-each select="../../runner">
				<xsl:choose>
					<xsl:when test="(lap[$index])/@lap-rank = '1'">
						<td width="60" nowrap="nowrap" align="right" bgcolor="#ffcccc"><xsl:value-of select="(lap[$index])/@lap-time"/></td>
						<td width="30" nowrap="nowrap" align="right" bgcolor="#ffcccc" style="border-right: solid 1px #bbbbee"><xsl:value-of select="(lap[$index])/@lap-rank"/></td>
					</xsl:when>
					<xsl:when test="(lap[$index])/@lap-rank = '2'">
						<td width="60" nowrap="nowrap" align="right" bgcolor="#ffdddd"><xsl:value-of select="(lap[$index])/@lap-time"/></td>
						<td width="30" nowrap="nowrap" align="right" bgcolor="#ffdddd" style="border-right: solid 1px #bbbbee"><xsl:value-of select="(lap[$index])/@lap-rank"/></td>
					</xsl:when>
					<xsl:when test="(lap[$index])/@lap-rank = '3'">
						<td width="60" nowrap="nowrap" align="right" bgcolor="#ffeeee"><xsl:value-of select="(lap[$index])/@lap-time"/></td>
						<td width="30" nowrap="nowrap" align="right" bgcolor="#ffeeee" style="border-right: solid 1px #bbbbee"><xsl:value-of select="(lap[$index])/@lap-rank"/></td>
					</xsl:when>
					<xsl:otherwise>
						<td width="60" nowrap="nowrap" align="right"><xsl:value-of select="(lap[$index])/@lap-time"/></td>
						<td width="30" nowrap="nowrap" align="right" style="border-right: solid 1px #bbbbee"><xsl:value-of select="(lap[$index])/@lap-rank"/></td>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:for-each>
		</tr>
	</xsl:for-each>

	<!-- ========================================================= -->
	<!-- name -->
	<!-- ========================================================= -->

	<tr>
		<th nowrap="nowrap" bgcolor="#bbbbee" style="border-top: solid 1px #808080; border-right: solid 1px #808080">氏名</th>
		<xsl:for-each select="../runner">
			<td colspan="2" bgcolor="#eeeeff" style="border-right: solid 1px #bbbbee; border-top: solid 1px #808080"><xsl:value-of select="@runner-name"/></td>
		</xsl:for-each>
	</tr>

	<!-- ========================================================= -->
	<!-- elapse -->
	<!-- ========================================================= -->

	<tr>
		<xsl:element name="td">
			<xsl:attribute name="colspan"><xsl:value-of select="../@runners * 2 + 1"/></xsl:attribute>
			<xsl:attribute name="bgcolor">#f4f4ff</xsl:attribute>
			<xsl:attribute name="style">border-top: solid 1px #cccccc; border-bottom: solid 1px #cccccc</xsl:attribute>
			<b>◆ 積算タイム</b>
		</xsl:element>
	</tr>

	<xsl:for-each select="lap">
		<xsl:variable name="index" select="position()"/>
		<tr>
			<th nowrap="nowrap" bgcolor="#ccccff" style="border-right: solid 1px #808080">
				→
				<xsl:choose>
					<xsl:when test="$index = last()">
						F
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="$index"/>
					</xsl:otherwise>
				</xsl:choose>
			</th>
			<xsl:for-each select="../../runner">
				<xsl:choose>
					<xsl:when test="(lap[$index])/@split-rank = '1'">
						<td width="60" nowrap="nowrap" align="right" bgcolor="#ffcccc"><xsl:value-of select="(lap[$index])/@split-time"/></td>
						<td width="30" nowrap="nowrap" align="right" bgcolor="#ffcccc" style="border-right: solid 1px #bbbbee"><xsl:value-of select="(lap[$index])/@split-rank"/></td>
					</xsl:when>
					<xsl:when test="(lap[$index])/@split-rank = '2'">
						<td width="60" nowrap="nowrap" align="right" bgcolor="#ffdddd"><xsl:value-of select="(lap[$index])/@split-time"/></td>
						<td width="30" nowrap="nowrap" align="right" bgcolor="#ffdddd" style="border-right: solid 1px #bbbbee"><xsl:value-of select="(lap[$index])/@split-rank"/></td>
					</xsl:when>
					<xsl:when test="(lap[$index])/@split-rank = '3'">
						<td width="60" nowrap="nowrap" align="right" bgcolor="#ffeeee"><xsl:value-of select="(lap[$index])/@split-time"/></td>
						<td width="30" nowrap="nowrap" align="right" bgcolor="#ffeeee" style="border-right: solid 1px #bbbbee"><xsl:value-of select="(lap[$index])/@split-rank"/></td>
					</xsl:when>
					<xsl:otherwise>
						<td width="60" nowrap="nowrap" align="right"><xsl:value-of select="(lap[$index])/@split-time"/></td>
						<td width="30" nowrap="nowrap" align="right" style="border-right: solid 1px #bbbbee"><xsl:value-of select="(lap[$index])/@split-rank"/></td>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:for-each>
		</tr>
	</xsl:for-each>

	<!-- ========================================================= -->
	<!-- name -->
	<!-- ========================================================= -->

	<tr>
		<th nowrap="nowrap" bgcolor="#bbbbee" style="border-top: solid 1px #808080; border-right: solid 1px #808080">氏名</th>
		<xsl:for-each select="../runner">
			<td colspan="2" bgcolor="#eeeeff" style="border-right: solid 1px #bbbbee; border-top: solid 1px #808080"><xsl:value-of select="@runner-name"/></td>
		</xsl:for-each>
	</tr>

	<!-- ========================================================= -->
	<!-- speed -->
	<!-- ========================================================= -->

	<tr>
		<xsl:element name="td">
			<xsl:attribute name="colspan"><xsl:value-of select="../@runners * 2 + 1"/></xsl:attribute>
			<xsl:attribute name="bgcolor">#f4f4ff</xsl:attribute>
			<xsl:attribute name="style">border-top: solid 1px #cccccc; border-bottom: solid 1px #cccccc</xsl:attribute>
			<b>◆ 巡航速度</b>
		</xsl:element>
	</tr>

	<tr>
		<th nowrap="nowrap" bgcolor="#ccccff" style="border-right: solid 1px #808080">　</th>
		<xsl:for-each select="../runner">
			<td colspan="2" align="center" style="border-right: solid 1px #bbbbee"><xsl:value-of select="@cruise-speed"/></td>
		</xsl:for-each>
	</tr>

	<tr>
		<xsl:element name="td">
			<xsl:attribute name="colspan"><xsl:value-of select="../@runners * 2 + 1"/></xsl:attribute>
			<xsl:attribute name="bgcolor">#f4f4ff</xsl:attribute>
			<xsl:attribute name="style">border-top: solid 1px #cccccc; border-bottom: solid 1px #cccccc</xsl:attribute>
			<b>◆ ミス率</b>
		</xsl:element>
	</tr>

	<tr>
		<th nowrap="nowrap" bgcolor="#ccccff" style="border-right: solid 1px #808080">　</th>
		<xsl:for-each select="../runner">
			<td colspan="2" align="center" style="border-right: solid 1px #bbbbee"><xsl:value-of select="@miss-rate"/></td>
		</xsl:for-each>
	</tr>

	<!-- ========================================================= -->
	<!-- name -->
	<!-- ========================================================= -->

	<tr>
		<th nowrap="nowrap" bgcolor="#bbbbee" style="border-top: solid 1px #808080; border-right: solid 1px #808080">氏名</th>
		<xsl:for-each select="../runner">
			<td colspan="2" bgcolor="#eeeeff" style="border-right: solid 1px #bbbbee; border-top: solid 1px #808080"><xsl:value-of select="@runner-name"/></td>
		</xsl:for-each>
	</tr>

	<!-- ========================================================= -->
	<!-- rate -->
	<!-- ========================================================= -->

	<tr>
		<xsl:element name="td">
			<xsl:attribute name="colspan"><xsl:value-of select="../@runners * 2 + 1"/></xsl:attribute>
			<xsl:attribute name="bgcolor">#f4f4ff</xsl:attribute>
			<xsl:attribute name="style">border-top: solid 1px #cccccc; border-bottom: solid 1px #cccccc</xsl:attribute>
			<b>◆ 相対値</b>
		</xsl:element>
	</tr>

	<xsl:for-each select="lap">
		<xsl:variable name="index" select="position()"/>
		<tr>
			<th nowrap="nowrap" bgcolor="#ccccff" style="border-right: solid 1px #808080">
				<xsl:choose>
					<xsl:when test="$index = 1">
						S
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="$index - 1"/>
					</xsl:otherwise>
				</xsl:choose>
				→
				<xsl:choose>
					<xsl:when test="$index = last()">
						F
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="$index"/>
					</xsl:otherwise>
				</xsl:choose>
			</th>
			<xsl:for-each select="../../runner">
				<td colspan="2" align="center" style="border-right: solid 1px #bbbbee"><xsl:value-of select="(lap[$index])/@relative-rate"/></td>
			</xsl:for-each>
		</tr>
	</xsl:for-each>

	<tr>
		<th nowrap="nowrap" bgcolor="#ccccff" style="border-right: solid 1px #808080">
			平均
		</th>
		<xsl:for-each select="../runner">
			<td colspan="2" align="center" bgcolor="#f4f4ff" style="border-right: solid 1px #bbbbee"><xsl:value-of select="@relative-rate-average"/></td>
		</xsl:for-each>
	</tr>

	<!-- ========================================================= -->
	<!-- name -->
	<!-- ========================================================= -->

	<tr>
		<th nowrap="nowrap" bgcolor="#bbbbee" style="border-top: solid 1px #808080; border-right: solid 1px #808080">氏名</th>
		<xsl:for-each select="../runner">
			<td colspan="2" bgcolor="#eeeeff" style="border-right: solid 1px #bbbbee; border-top: solid 1px #808080"><xsl:value-of select="@runner-name"/></td>
		</xsl:for-each>
	</tr>

	<!-- ========================================================= -->
	<!-- miss -->
	<!-- ========================================================= -->

	<tr>
		<xsl:element name="td">
			<xsl:attribute name="colspan"><xsl:value-of select="../@runners * 2 + 1"/></xsl:attribute>
			<xsl:attribute name="bgcolor">#f4f4ff</xsl:attribute>
			<xsl:attribute name="style">border-top: solid 1px #cccccc; border-bottom: solid 1px #cccccc</xsl:attribute>
			<b>◆ ミスタイム</b>
		</xsl:element>
	</tr>

	<xsl:for-each select="lap">
		<xsl:variable name="index" select="position()"/>
		<tr>
			<th nowrap="nowrap" bgcolor="#ccccff" style="border-right: solid 1px #808080">
				<xsl:choose>
					<xsl:when test="$index = 1">
						S
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="$index - 1"/>
					</xsl:otherwise>
				</xsl:choose>
				→
				<xsl:choose>
					<xsl:when test="$index = last()">
						F
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="$index"/>
					</xsl:otherwise>
				</xsl:choose>
			</th>
			<xsl:for-each select="../../runner">
				<td colspan="2" align="center" style="border-right: solid 1px #bbbbee"><xsl:value-of select="(lap[$index])/@miss-time"/></td>
			</xsl:for-each>
		</tr>
	</xsl:for-each>

	<tr>
		<th nowrap="nowrap" bgcolor="#ccccff" style="border-right: solid 1px #808080">
			合計
		</th>
		<xsl:for-each select="../runner">
			<td colspan="2" align="center" bgcolor="#f4f4ff" style="border-right: solid 1px #bbbbee"><xsl:value-of select="@total-miss-time"/></td>
		</xsl:for-each>
	</tr>

	<tr>
		<xsl:element name="td">
			<xsl:attribute name="colspan"><xsl:value-of select="../@runners * 2 + 1"/></xsl:attribute>
			<xsl:attribute name="bgcolor">#f4f4ff</xsl:attribute>
			<xsl:attribute name="style">border-top: solid 1px #cccccc; border-bottom: solid 1px #cccccc</xsl:attribute>
			<b>◆ ミスを除いたタイム</b>
		</xsl:element>
	</tr>

	<tr>
		<th nowrap="nowrap" bgcolor="#ccccff" style="border-right: solid 1px #808080">　</th>
		<xsl:for-each select="../runner">
			<td colspan="2" align="center" style="border-right: solid 1px #bbbbee"><xsl:value-of select="@result-without-miss"/></td>
		</xsl:for-each>
	</tr>

	<!-- ========================================================= -->
	<!-- name, club, result, place -->
	<!-- ========================================================= -->

	<tr>
		<th nowrap="nowrap" bgcolor="#bbbbee" style="border-top: solid 1px #808080; border-right: solid 1px #808080">氏名</th>
		<xsl:for-each select="../runner">
			<td colspan="2" bgcolor="#eeeeff" style="border-right: solid 1px #bbbbee; border-top: solid 1px #808080"><xsl:value-of select="@runner-name"/></td>
		</xsl:for-each>
	</tr>
	<tr>
		<th nowrap="nowrap" bgcolor="#bbbbee" style="border-right: solid 1px #808080">所属</th>
		<xsl:for-each select="../runner">
			<td colspan="2" bgcolor="#eeeeff" style="border-right: solid 1px #bbbbee"><xsl:value-of select="@club-name"/></td>
		</xsl:for-each>
	</tr>
	<tr>
		<th nowrap="nowrap" bgcolor="#bbbbee" style="border-right: solid 1px #808080">記録</th>
		<xsl:for-each select="../runner">
			<td colspan="2" bgcolor="#eeeeff" align="right" style="border-right: solid 1px #bbbbee">　<xsl:value-of select="@result"/></td>
		</xsl:for-each>
	</tr>
	<tr>
		<th nowrap="nowrap" bgcolor="#bbbbee" style="border-right: solid 1px #808080">順位</th>
		<xsl:for-each select="../runner">
			<td colspan="2" bgcolor="#eeeeff" align="right" style="border-right: solid 1px #bbbbee">　<xsl:value-of select="@rank"/></td>
		</xsl:for-each>
	</tr>

</xsl:template>

</xsl:stylesheet>
