﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" encoding="UTF-8" indent="yes" />

<xsl:template match="/">
	<xsl:apply-templates select="each-analyzed-data"/>
</xsl:template>

<xsl:template match="each-analyzed-data">
	<html>
		<head>
			<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
			<title><xsl:value-of select="@data-set-name"/> - <xsl:value-of select="@event-name"/></title>
		</head>
		<body>
			<h4>
				<xsl:value-of select="@event-name"/>
				<xsl:if test="@event-date != ''">
					<br /><xsl:value-of select="@event-date"/>
				</xsl:if>
				<xsl:if test="@terrain != ''">
					<br /><xsl:value-of select="@terrain"/>
				</xsl:if>
			</h4>
			<h2><xsl:value-of select="@data-set-name"/></h2>
			<table border="0" cellspacing="0" cellpadding="2" style="border: solid 1px #808080">
				<xsl:apply-templates select="runner[1]"/>
			</table>
			<br />
			Made with "LapCombat2" and "LapCombat2 XHTML Generator".
		</body>
	</html>
</xsl:template>

<xsl:template match="runner">
	
	<!-- ========================================================= -->
	<!-- name, club, result, place -->
	<!-- ========================================================= -->
	
	<tr>
		<th nowrap="nowrap" bgcolor="#ccccee">name</th>
		<xsl:for-each select="../runner">
			<td colspan="2" bgcolor="#eeeeff" style="border-right: solid 1px #ccccee"><xsl:value-of select="@runner-name"/></td>
		</xsl:for-each>
	</tr>
	<tr>
		<th nowrap="nowrap" bgcolor="#ccccee">club</th>
		<xsl:for-each select="../runner">
			<td colspan="2" bgcolor="#eeeeff" style="border-right: solid 1px #ccccee"><xsl:value-of select="@club-name"/></td>
		</xsl:for-each>
	</tr>
	<tr>
		<th nowrap="nowrap" bgcolor="#ccccee">result</th>
		<xsl:for-each select="../runner">
			<td colspan="2" bgcolor="#eeeeff" align="right" style="border-right: solid 1px #ccccee"> <xsl:value-of select="@result"/></td>
		</xsl:for-each>
	</tr>
	<tr>
		<th nowrap="nowrap" bgcolor="#ccccee">place</th>
		<xsl:for-each select="../runner">
			<td colspan="2" bgcolor="#eeeeff" align="right" style="border-right: solid 1px #ccccee"> <xsl:value-of select="@rank"/></td>
		</xsl:for-each>
	</tr>


	<!-- ========================================================= -->
	<!-- lap -->
	<!-- ========================================================= -->

	<tr>
		<xsl:element name="td">
			<xsl:attribute name="colspan"><xsl:value-of select="../@runners * 2 + 1"/></xsl:attribute>
			<xsl:attribute name="bgcolor">#f4f4ff</xsl:attribute>
			<xsl:attribute name="style">border-top: solid 1px #cccccc; border-bottom: solid 1px #cccccc</xsl:attribute>
			<b>* Lap time</b>
		</xsl:element>
	</tr>

	<xsl:for-each select="lap">
		<xsl:variable name="index" select="position()"/>
		<tr>
			<th nowrap="nowrap" bgcolor="#eeeeff">
				<xsl:choose>
					<xsl:when test="$index = 1">
						S
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="$index - 1"/>
					</xsl:otherwise>
				</xsl:choose>
				-
				<xsl:choose>
					<xsl:when test="$index = last()">
						F
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="$index"/>
					</xsl:otherwise>
				</xsl:choose>
			</th>
			<xsl:for-each select="../../runner">
				<td width="70" nowrap="nowrap" align="right"><xsl:value-of select="(lap[$index])/@lap-time"/></td>
				<td width="30" nowrap="nowrap" align="right" style="border-right: solid 1px #ccccee"><xsl:value-of select="(lap[$index])/@lap-rank"/></td>
			</xsl:for-each>
		</tr>
	</xsl:for-each>

	<!-- ========================================================= -->
	<!-- name -->
	<!-- ========================================================= -->

	<tr>
		<th nowrap="nowrap" bgcolor="#ccccee" style="border-top: solid 1px #808080">name</th>
		<xsl:for-each select="../runner">
			<td colspan="2" bgcolor="#eeeeff" style="border-right: solid 1px #ccccee; border-top: solid 1px #808080"><xsl:value-of select="@runner-name"/></td>
		</xsl:for-each>
	</tr>

	<!-- ========================================================= -->
	<!-- elapse -->
	<!-- ========================================================= -->

	<tr>
		<xsl:element name="td">
			<xsl:attribute name="colspan"><xsl:value-of select="../@runners * 2 + 1"/></xsl:attribute>
			<xsl:attribute name="bgcolor">#f4f4ff</xsl:attribute>
			<xsl:attribute name="style">border-top: solid 1px #cccccc; border-bottom: solid 1px #cccccc</xsl:attribute>
			<b>* Elapse time</b>
		</xsl:element>
	</tr>

	<xsl:for-each select="lap">
		<xsl:variable name="index" select="position()"/>
		<tr>
			<th nowrap="nowrap" bgcolor="#eeeeff">
				-
				<xsl:choose>
					<xsl:when test="$index = last()">
						F
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="$index"/>
					</xsl:otherwise>
				</xsl:choose>
			</th>
			<xsl:for-each select="../../runner">
				<td align="right"><xsl:value-of select="(lap[$index])/@split-time"/></td>
				<td align="right" style="border-right: solid 1px #ccccee"><xsl:value-of select="(lap[$index])/@split-rank"/></td>
			</xsl:for-each>
		</tr>
	</xsl:for-each>

	<!-- ========================================================= -->
	<!-- name -->
	<!-- ========================================================= -->

	<tr>
		<th nowrap="nowrap" bgcolor="#ccccee" style="border-top: solid 1px #808080">name</th>
		<xsl:for-each select="../runner">
			<td colspan="2" bgcolor="#eeeeff" style="border-right: solid 1px #ccccee; border-top: solid 1px #808080"><xsl:value-of select="@runner-name"/></td>
		</xsl:for-each>
	</tr>

	<!-- ========================================================= -->
	<!-- speed -->
	<!-- ========================================================= -->

	<tr>
		<xsl:element name="td">
			<xsl:attribute name="colspan"><xsl:value-of select="../@runners * 2 + 1"/></xsl:attribute>
			<xsl:attribute name="bgcolor">#f4f4ff</xsl:attribute>
			<xsl:attribute name="style">border-top: solid 1px #cccccc; border-bottom: solid 1px #cccccc</xsl:attribute>
			<b>* Cruising speed index</b>
		</xsl:element>
	</tr>

	<tr>
		<th nowrap="nowrap" bgcolor="#eeeeff"> </th>
		<xsl:for-each select="../runner">
			<td colspan="2" align="center" style="border-right: solid 1px #ccccee"><xsl:value-of select="@cruise-speed"/></td>
		</xsl:for-each>
	</tr>

	<tr>
		<xsl:element name="td">
			<xsl:attribute name="colspan"><xsl:value-of select="../@runners * 2 + 1"/></xsl:attribute>
			<xsl:attribute name="bgcolor">#f4f4ff</xsl:attribute>
			<xsl:attribute name="style">border-top: solid 1px #cccccc; border-bottom: solid 1px #cccccc</xsl:attribute>
			<b>* Mistake ratio</b>
		</xsl:element>
	</tr>

	<tr>
		<th nowrap="nowrap" bgcolor="#eeeeff"> </th>
		<xsl:for-each select="../runner">
			<td colspan="2" align="center" style="border-right: solid 1px #ccccee"><xsl:value-of select="@miss-rate"/></td>
		</xsl:for-each>
	</tr>

	<!-- ========================================================= -->
	<!-- name -->
	<!-- ========================================================= -->

	<tr>
		<th nowrap="nowrap" bgcolor="#ccccee" style="border-top: solid 1px #808080">name</th>
		<xsl:for-each select="../runner">
			<td colspan="2" bgcolor="#eeeeff" style="border-right: solid 1px #ccccee; border-top: solid 1px #808080"><xsl:value-of select="@runner-name"/></td>
		</xsl:for-each>
	</tr>

	<!-- ========================================================= -->
	<!-- rate -->
	<!-- ========================================================= -->

	<tr>
		<xsl:element name="td">
			<xsl:attribute name="colspan"><xsl:value-of select="../@runners * 2 + 1"/></xsl:attribute>
			<xsl:attribute name="bgcolor">#f4f4ff</xsl:attribute>
			<xsl:attribute name="style">border-top: solid 1px #cccccc; border-bottom: solid 1px #cccccc</xsl:attribute>
			<b>* Leg speed index evaluated from best 3 laps (100=average of best3)</b>
		</xsl:element>
	</tr>

	<xsl:for-each select="lap">
		<xsl:variable name="index" select="position()"/>
		<tr>
			<th nowrap="nowrap" bgcolor="#eeeeff">
				<xsl:choose>
					<xsl:when test="$index = 1">
						S
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="$index - 1"/>
					</xsl:otherwise>
				</xsl:choose>
				-
				<xsl:choose>
					<xsl:when test="$index = last()">
						F
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="$index"/>
					</xsl:otherwise>
				</xsl:choose>
			</th>
			<xsl:for-each select="../../runner">
				<td colspan="2" align="center" style="border-right: solid 1px #ccccee"><xsl:value-of select="(lap[$index])/@relative-rate"/></td>
			</xsl:for-each>
		</tr>
	</xsl:for-each>

	<tr>
		<th nowrap="nowrap" bgcolor="#eeeeff">
			average
		</th>
		<xsl:for-each select="../runner">
			<td colspan="2" align="center" bgcolor="#f4f4ff" style="border-right: solid 1px #ccccee"><xsl:value-of select="@relative-rate-average"/></td>
		</xsl:for-each>
	</tr>

	<!-- ========================================================= -->
	<!-- name -->
	<!-- ========================================================= -->

	<tr>
		<th nowrap="nowrap" bgcolor="#ccccee" style="border-top: solid 1px #808080">name</th>
		<xsl:for-each select="../runner">
			<td colspan="2" bgcolor="#eeeeff" style="border-right: solid 1px #ccccee; border-top: solid 1px #808080"><xsl:value-of select="@runner-name"/></td>
		</xsl:for-each>
	</tr>

	<!-- ========================================================= -->
	<!-- miss -->
	<!-- ========================================================= -->

	<tr>
		<xsl:element name="td">
			<xsl:attribute name="colspan"><xsl:value-of select="../@runners * 2 + 1"/></xsl:attribute>
			<xsl:attribute name="bgcolor">#f4f4ff</xsl:attribute>
			<xsl:attribute name="style">border-top: solid 1px #cccccc; border-bottom: solid 1px #cccccc</xsl:attribute>
			<b>* Leg mistake time (negative value=very good)</b>
		</xsl:element>
	</tr>

	<xsl:for-each select="lap">
		<xsl:variable name="index" select="position()"/>
		<tr>
			<th nowrap="nowrap" bgcolor="#eeeeff">
				<xsl:choose>
					<xsl:when test="$index = 1">
						S
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="$index - 1"/>
					</xsl:otherwise>
				</xsl:choose>
				-
				<xsl:choose>
					<xsl:when test="$index = last()">
						F
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="$index"/>
					</xsl:otherwise>
				</xsl:choose>
			</th>
			<xsl:for-each select="../../runner">
				<td colspan="2" align="center" style="border-right: solid 1px #ccccee"><xsl:value-of select="(lap[$index])/@miss-time"/></td>
			</xsl:for-each>
		</tr>
	</xsl:for-each>

	<tr>
		<th nowrap="nowrap" bgcolor="#eeeeff">
			total
		</th>
		<xsl:for-each select="../runner">
			<td colspan="2" align="center" bgcolor="#f4f4ff" style="border-right: solid 1px #ccccee"><xsl:value-of select="@total-miss-time"/></td>
		</xsl:for-each>
	</tr>

	<tr>
		<xsl:element name="td">
			<xsl:attribute name="colspan"><xsl:value-of select="../@runners * 2 + 1"/></xsl:attribute>
			<xsl:attribute name="bgcolor">#f4f4ff</xsl:attribute>
			<xsl:attribute name="style">border-top: solid 1px #cccccc; border-bottom: solid 1px #cccccc</xsl:attribute>
			<b>* Ideal finishing time without mistake</b>
		</xsl:element>
	</tr>

	<tr>
		<th nowrap="nowrap" bgcolor="#eeeeff"> </th>
		<xsl:for-each select="../runner">
			<td colspan="2" align="center" bgcolor="#f4f4ff" style="border-right: solid 1px #ccccee"><xsl:value-of select="@result-without-miss"/></td>
		</xsl:for-each>
	</tr>

	<!-- ========================================================= -->
	<!-- name, club, result, place -->
	<!-- ========================================================= -->

	<tr>
		<th nowrap="nowrap" bgcolor="#ccccee" style="border-top: solid 1px #808080">name</th>
		<xsl:for-each select="../runner">
			<td colspan="2" bgcolor="#eeeeff" style="border-right: solid 1px #ccccee; border-top: solid 1px #808080"><xsl:value-of select="@runner-name"/></td>
		</xsl:for-each>
	</tr>
	<tr>
		<th nowrap="nowrap" bgcolor="#ccccee">club</th>
		<xsl:for-each select="../runner">
			<td colspan="2" bgcolor="#eeeeff" style="border-right: solid 1px #ccccee"><xsl:value-of select="@club-name"/></td>
		</xsl:for-each>
	</tr>
	<tr>
		<th nowrap="nowrap" bgcolor="#ccccee">result</th>
		<xsl:for-each select="../runner">
			<td colspan="2" bgcolor="#eeeeff" align="right" style="border-right: solid 1px #ccccee"> <xsl:value-of select="@result"/></td>
		</xsl:for-each>
	</tr>
	<tr>
		<th nowrap="nowrap" bgcolor="#ccccee">place</th>
		<xsl:for-each select="../runner">
			<td colspan="2" bgcolor="#eeeeff" align="right" style="border-right: solid 1px #ccccee"> <xsl:value-of select="@rank"/></td>
		</xsl:for-each>
	</tr>

</xsl:template>

</xsl:stylesheet>
